雑記/2010-01-09

https://dexlab.net:443/pukiwiki/index.php?%BB%A8%B5%AD/2010-01-09
 

オープンソースグループウェアAipo5へのアップデート不具合

  • 環境
    • CentOS5.4
    • aipoとは別にPostgreSQL8.1がポート5432で動作している
  • 問題
    • aipoはソースからPostgreSQLがインストールされ、ポート5433で動作している。アップデートスクリプトでポート表示は「5433」と表示されるが、pg_ctl, psql, postmaster実行時に指定が無いので失敗する。
  • utf-8環境の更新(euc環境は、eucにパッチ当たるかも未確認)
    aipo_update.sh にポート番号(-p 5433)が無いので途中で失敗する。そのため、ポート指定(-p $port_num)を付加する
    
    # cp aipo_update.patch /usr/local/src/aipo_update4050to5010ja_linux/update5010/bin/utf8
    # cd /usr/local/src/aipo_update4050to5010ja_linux/update5010/bin/utf8
    # patch < aipo_update.patch
    # cd ..
    
    # export LANG=ja_JP.utf8
    # sh aipo_update.sh /usr/local/aipo

コメントはありません。 Comments/雑記/2010-01-09?

お名前: 「かくにん」を漢字で入力して下さい。1文字目が「たしかめる」で2文字目が「みとめる」です。

添付ファイル: fileaipo_update.patch 557件 [詳細]

トップ   編集 凍結 差分 バックアップ 添付 複製 名前変更 リロード   新規 一覧 単語検索 最終更新   ヘルプ   最終更新のRSS
Last-modified: 2018-09-15 (土) 07:31:38 (340d)